chunked_input_info.hpp File Reference

Information about chunked encoded body. More...

`#include <restinio/exception.hpp>`
`#include <restinio/http_headers.hpp>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <vector>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | restinio::chunk_info_t
| Information about one chunk in an incoming request with chunked encoding. More...
struct | restinio::impl::chunked_input_info_block_t
| Bunch of data related to chunked input. More...
class | restinio::chunked_input_info_t
| An information about chunks and trailing fields in the incoming request. More...

## Namespaces

namespace | restinio
namespace | restinio::impl

## Typedefs

using | restinio::chunked_input_info_unique_ptr_t = std::unique_ptr< chunked_input_info_t >
| Alias of unique_ptr for chunked_input_info. More...

## Detailed Description

Information about chunked encoded body.

Since
  v.0.6.9

Definition in file chunked_input_info.hpp.